=== debian/changelog ===
qbittorrent (4.4.1-2) unstable; urgency=medium

  * Update libtorrent-rasterbar-dev build-dependency to ">= 2.0.4~" as
    requested by configure (Closes: #1006420)

 -- Christian Marillat <marillat@debian.org>  Fri, 25 Feb 2022 09:28:37 +0100

qbittorrent (4.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules remove "DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed"

 -- Christian Marillat <marillat@debian.org>  Wed, 16 Feb 2022 09:25:42 +0100
