## qbittorrent 4.4.2

=== debian/changelog ===
qbittorrent (4.4.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Apr 2022 11:56:18 -0700

qbittorrent (4.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 25 Mar 2022 00:00:59 +0100

qbittorrent (4.4.1-3) unstable; urgency=medium

  * Build nox package with --enable-systemd but don't enable the service by
    default (Closes: #918198)

 -- Christian Marillat <marillat@debian.org>  Fri, 04 Mar 2022 15:14:55 +0100
