## qbittorrent 4.4.3

=== debian/changelog ===
qbittorrent (4.4.3-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 May 2022 17:00:58 -0700
