=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,11 @@
 	dh $@ --without autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure --builddirectory build-nox -- --disable-gui \
-		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure --builddirectory build-nox -- \
+	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	--disable-gui --enable-systemd
 	dh_auto_configure --builddirectory build-gui -- \
-		--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
+	--with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 #	exit 1
 
@@ -26,6 +27,12 @@
 	dh_auto_install --builddirectory build-gui --destdir debian/qbittorrent \
 		-- INSTALL_ROOT=$(CURDIR)/debian/qbittorrent
 
+override_dh_installsystemduser:
+	dh_installsystemduser -pqbittorrent-nox --no-enable
+
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory build-nox
 	dh_auto_clean --builddirectory build-gui
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
