## qbittorrent 4.4.3.1

=== debian/changelog ===
qbittorrent (4.4.3.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 May 2022 10:16:19 -0700

qbittorrent (4.4.3.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Wed, 25 May 2022 19:37:55 +0200

qbittorrent (4.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 (No changes).

 -- Christian Marillat <marillat@debian.org>  Mon, 23 May 2022 17:35:25 +0200
