## qbittorrent 4.4.4

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -15,11 +15,6 @@
     configure_file("${qBittorrent_SOURCE_DIR}/src/webui/www/translations/webui_translations.qrc"
         "${qBittorrent_BINARY_DIR}/src/webui/www/translations/webui_translations.qrc" COPYONLY)
 endif()
-
-FILE(GLOB QT_TRANSLATIONS "${qBittorrent_SOURCE_DIR}/dist/qt-translations/qtbase_*.qm")
-foreach(EXTRA_TRANSLATION IN ITEMS "fa" "gl" "lt" "pt" "sl" "sv" "zh_CN")
-    list(APPEND QT_TRANSLATIONS "${qBittorrent_SOURCE_DIR}/dist/qt-translations/qt_${EXTRA_TRANSLATION}.qm")
-endforeach()
 
 # Executable target configuration
 # -----------------------------------------------------------------------------
@@ -65,16 +60,17 @@
 # Additional platform specific configuration
 # -----------------------------------------------------------------------------
 # -----------------------------------------------------------------------------
-set_source_files_properties(${QT_TRANSLATIONS} PROPERTIES MACOSX_PACKAGE_LOCATION translations)
-set_source_files_properties(
-    "${qBittorrent_SOURCE_DIR}/dist/mac/qt.conf"
-    "${qBittorrent_SOURCE_DIR}/dist/mac/qBitTorrentDocument.icns"
-    "${qBittorrent_SOURCE_DIR}/dist/mac/qbittorrent_mac.icns"
-        PROPERTIES
-            MACOSX_PACKAGE_LOCATION Resources
-)
-
 if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
+    include(FindQtTranslations)
+    qbt_get_qt_translations(QT_TRANSLATIONS)
+    set_source_files_properties(${QT_TRANSLATIONS} PROPERTIES MACOSX_PACKAGE_LOCATION translations)
+    set_source_files_properties(
+        "${qBittorrent_SOURCE_DIR}/dist/mac/qt.conf"
+        "${qBittorrent_SOURCE_DIR}/dist/mac/qBitTorrentDocument.icns"
+        "${qBittorrent_SOURCE_DIR}/dist/mac/qbittorrent_mac.icns"
+            PROPERTIES
+                MACOSX_PACKAGE_LOCATION Resources
+    )
     # provide variables for substitution in dist/mac/Info.plist
     get_target_property(EXECUTABLE_NAME qbt_app OUTPUT_NAME)
     # This variable name should be changed once qmake is no longer used. Refer to the discussion in PR #14813
