=== debian/changelog ===
qbittorrent (4.4.4-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 28 Aug 2022 18:26:24 -0700

qbittorrent (4.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 23 Aug 2022 17:48:59 +0200
