## qbittorrent 4.4.5

=== debian/changelog ===
qbittorrent (4.4.5-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux against backported libtorrent-rasterbar_2.0.7.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Sep 2022 15:28:53 -0700

qbittorrent (4.4.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@debian.org>  Wed, 31 Aug 2022 04:05:09 +0200
