=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,10 @@
 	dh_auto_clean --builddirectory build-nox
 	dh_auto_clean --builddirectory build-gui
 
+override_dh_clean:
+	dh_clean src/webui/www/translations/webui_*.qm \
+	src/lang/qbittorrent_*.qm src/base/version.h
+
+# No dbgsym package:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
