=== debian/changelog ===
qbittorrent (4.5.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * debian/control: update minvers of boost and Qt 5 build-depends.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Nov 2022 15:47:37 -0800

qbittorrent (4.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 27 Nov 2022 18:38:34 +0100
