=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Homepage: https://www.qbittorrent.org/
 Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
-               libboost-dev,
+               libboost-dev (>= 1.71),
                libqt5svg5-dev,
                libtorrent-rasterbar-dev (>= 2.0.4~),
-               qtbase5-dev (>= 5.2.0),
+               qtbase5-dev (>= 5.15.2),
                qttools5-dev-tools,
                zlib1g-dev
