## qbittorrent 4.5.1

=== debian/changelog ===
qbittorrent (4.5.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 14 Feb 2023 17:32:07 -0800

qbittorrent (4.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix tray icon issues (Closes: #959488)

 -- Christian Marillat <marillat@debian.org>  Sun, 12 Feb 2023 18:13:24 +0100

qbittorrent (4.5.0-2) unstable; urgency=medium

  * Add upstream patch to fix crash on exit.
  * debian/copyright qbittorrent is now GPL-3+

 -- Christian Marillat <marillat@debian.org>  Wed, 30 Nov 2022 14:03:33 +0100
